<#--获取某个表的所有索引信息语句-->
<#-- 输入参数 -->
<#--tableName 表名 -->

SELECT A.INDEX_NAME AS MXSY_BIANH
       ,CASE WHEN A.UNIQUENESS = 'UNIQUE' THEN    1  ELSE 0 END AS MXSY_SHIFWY
       ,B.COLUMN_NAME MXSY_ZIDLB
       ,CASE WHEN C.CONSTRAINT_NAME IS NULL THEN    0  ELSE 1 END ISPK
 FROM USER_INDEXES A INNER JOIN  USER_IND_COLUMNS B ON  A.INDEX_NAME = B.INDEX_NAME 
      LEFT JOIN USER_CONSTRAINTS C ON A.INDEX_NAME=C.CONSTRAINT_NAME
 WHERE  
   A.TABLE_NAME = UPPER('${tableName}')
 ORDER BY B.INDEX_NAME,B.COLUMN_NAME;