<!DOCTYPE html>

<html>

<head>
  <meta charset="utf-8">
  <title> <@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue>- 后台管理</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="${request.contextPath}/static/libs/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="${request.contextPath}/static/css/font-awesome/css/font-awesome.min.css">
  <link rel="stylesheet" href="${request.contextPath}/static/modules/web/kdayunadmin/style/admin.css" media="all">
  <link rel="stylesheet" href="${request.contextPath}/static/modules/manager/css/global.css" media="all">
  <script type="text/javascript" src="${request.contextPath}/static/libs/jquery.js"></script>
  <link rel="stylesheet" href="${request.contextPath}/static/modules/web/kdayunadmin/style/loader.css" media="all">
  <!-- 添加发生重大事件获取哀悼日需要把网站变灰的样式 -->
  <@config id = Global.SYSOPTKEY_ISOPENZHIHUI orgid = "${orgid}" >
      <link id="filterCss" rel="stylesheet" href="${request.contextPath}/static/modules/manager/css/filter.css?v=<@configVersion suosxt='CORE'> </@configVersion>" media="all">
  </@config>
  <link rel="icon" href="${request.contextPath}<@configValue id='CAAB580980C74A169D8AFEB418ABB5AA'> </@configValue>" type="image/x-icon"/>
  <!-- 让IE8/9支持媒体查询，从而兼容栅格 -->
  <!--[if lt IE 9]>
	<script src="${request.contextPath}/static/libs/html5.min.js"></script>
	<script src="${request.contextPath}/static/libs/respond.min.js"></script>
	<![endif]-->

   <#include "base/token.ftl"/>
   <style>
      .layadmin-side-shrink .layui-layout-admin .logo{
        padding-left: 0;
      }
      .logo .layui-logo-img {
        border-radius: 50%;
        margin-inline-end: 5px;
        width: 40px;
        height: 40px;
        display: none;
      }
      .layadmin-side-shrink .layui-layout-admin .layui-logo-img{
        display: block!important;
        margin: 5px 0 0 10px;
      }
  </style>
</head>

<body id="zhengling-zhuye" class="layui-layout-body">
  <div id="loader-wrapper">
    <div id="loader"></div>
    <div class="loader-section section-left"></div>
    <div class="loader-section section-right"></div>
    <div class="load_title">正在加载 - 后台管理<br><span></span></div>
  </div>
  <div id="LAY_app">
    <div class="layui-layout layui-layout-admin">
      <div class="layui-header header header-demo">
        <!-- 头部区域 -->
        <ul class="layui-nav layui-layout-left">
          <li class="layui-nav-item admin-side-toggle" lay-unselect>
            <a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
              <i class="fa fa-bars" aria-hidden="true" id="LAY_app_flexible"></i>
            </a>
          </li>
          <li class="layui-nav-item admin-side-full" lay-unselect>
            <a href="javascript:;" layadmin-event="fullscreen" title="全屏">
              <i class="fa fa-life-bouy" aria-hidden="true"></i>
            </a>
          </li>
          <li class="layui-nav-item admin-side-head" lay-unselect>
            <a href="${request.contextPath}/index/" target="_blank" title="前台">
              <i class="fa fa-home" aria-hidden="true"></i>
            </a>
          </li>
          <li class="layui-nav-item admin-side-cacheclear" lay-unselect>
            <a href="javascript:;"  title="清除服务器缓存">
              <#--  <i class="layui-icon layui-icon-delete"></i>  -->
              <i class="fa fa-trash-o" aria-hidden="true"></i>
            </a>
          </li>
        </ul>
        <ul class="layui-nav layui-layout-right" lay-filter="layadmin-layout-right">
          <li class="layui-nav-item " lay-unselect>
            <a href="javascript:;">
              <img id="TOUX" src="" style="width: 40px;height: 40px;border-radius: 50%;" />
              <cite id='OBJNAME'></cite>
            </a>
            <dl class="layui-nav-child">
              <dd>  
                <a lay-href="${request.contextPath}/info/">
                  <i class="fa fa-user-circle" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>个人信息</a>
              </dd>
              <!-- <dd>
                <a lay-href="/Manage/Account/Setting/"><i class="fa fa-gear" aria-hidden="true"></i>设置</a>
              </dd> -->
              <hr>
              <dd layadmin-event="logout" style="text-align: left;">
                <a href="${request.contextPath}/manager/logout/">
                  <i class="fa fa-sign-out" aria-hidden="true"  style="margin-right: 6px;color: #333;"></i> 注销</a>
              </dd>
            </dl>
          </li>
          <li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
            <a href="javascript:;" layadmin-event="more">
              <i class="layui-icon layui-icon-more-vertical"></i>
            </a>
          </li>
        </ul>
      </div>
      <!-- 侧边菜单 -->
      <div class="layui-side">
        <div class="layui-logo logo layui-logo-admin" lay-href="http://www.kdayun.com">
          <img class="layui-logo-img" src="${request.contextPath}<@configValue id='CAAB580980C74A169D8AFEB418ABB5AA'> </@configValue>" />
          <span style="font-size: 22px;">后台管理</span>
        </div>
        <div class="navbar-side-search">
            <input 
              type="text" 
              placeholder="搜索..." 
              id="navbarSearchValue" 
              autocomplete="off" 
              class="layui-input layui-inline navbar-seacher-input">
            <i class="layui-icon layui-icon-search" id="navbarSearchIcon"></i>
             <ul class="navbarSearchResult layui-hide"></ul>
        </div> 
        <div class="layui-side-scroll  layui-side-menu" id="admin-navbar-side">
			
        </div>
      </div>

      <!-- 页面标签 -->
      <div class="layadmin-pagetabs" id="LAY_app_tabs" style="border-bottom: solid 1px #277FD0;padding-left: 0px;padding-right: 40px;">
        <div class="layui-icon layadmin-tabs-control layui-icon-prev" layadmin-event="leftPage" style="display: none;"></div>
        <div class="layui-icon layadmin-tabs-control layui-icon-next" layadmin-event="rightPage" style="display: none;"></div>
        <div class="layui-icon layadmin-tabs-control layui-icon-down">
          <ul class="layui-nav layadmin-tabs-select" lay-filter="layadmin-pagetabs-nav">
            <li class="layui-nav-item" lay-unselect>
              <a href="javascript:;"></a>
              <dl class="layui-nav-child layui-anim-fadein">
                <dd layadmin-event="closeThisTabs">
                  <a href="javascript:;">关闭当前标签页</a>
                </dd>
                <dd layadmin-event="closeOtherTabs">
                  <a href="javascript:;">关闭其它标签页</a>
                </dd>
                <dd layadmin-event="closeAllTabs">
                  <a href="javascript:;">关闭全部标签页</a>
                </dd>
                <dd layadmin-event="refreshCurrentPage">
                  <a href="javascript:;">刷新当前页面</a>
                </dd>
              </dl>
            </li>
          </ul>
        </div>
        <div class="layui-tab admin-nav-card" lay-unauto lay-allowClose="true" lay-filter="layadmin-layout-tabs">
          <ul class="layui-tab-title" id="LAY_app_tabsheader">
            <li lay-id="${request.contextPath}/manager/home/" lay-attr="${request.contextPath}/manager/home/" class="layui-this">
              <i class="layui-icon layui-icon-home"></i>
              <cite>首页</cite>
            </li>
          </ul>
        </div>
      </div>
      <!-- 主体内容 -->
      <div class="layui-body" id="LAY_app_body">
        <div class="layadmin-tabsbody-item layui-show">
          <!-- <iframe id="layadminIframe" class="layadmin-iframe" src="${request.contextPath}/manager/home/index" frameborder="no" border="0" ></iframe> -->
          <iframe id="layadminIframe" class="layadmin-iframe" src="${request.contextPath}/manager/corehomepage/console/index?tokenId=${tokenId}" frameborder="no" border="0" ></iframe>
        </div>
      </div>

      <!-- 辅助元素，一般用于移动设备下遮罩 -->
      <div class="layadmin-body-shade" layadmin-event="shade"></div>
    </div>
  </div>
  
	<script src="${request.contextPath}/static/libs/layui/layui.js"></script>
	<script src="${request.contextPath}/static/framework/messenger.js"></script>
	<script>
		layui.config({
			version: "<@configVersion suosxt='CORE'> </@configVersion>"
			, base: '${request.contextPath}/static/modules/' //静态资源所在路径
			, contentPath: '${request.contextPath}'
		}).extend({
			index: 'manager/home/index' //主入口模块
		}).use('index');
	</script>
    <input id="tokenId" type="hidden" value="${tokenId}">
    <#--//开启IM打开
    <#include "base/im.ftl">  -->
</body>

</html>